%global gem_name rails-controller-testing

Name:           rubygem-%{gem_name}
Version:        1.0.2
Release:        2%{?dist}
Summary:        Extracting `assigns` and `assert_template` from ActionDispatch

Group:          Development/Languages
License:        MIT
URL:            https://github.com/rails/rails-controller-testing
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildArch:      noarch
BuildRequires:  rubygems-devel
BuildRequires:  rubygem(railties) => 5.0.1
BuildRequires:  rubygem(railties) < 6
BuildRequires:  rubygem(sqlite3)

%description
This gem brings back assigns to your controller tests as well as
assert_template to both controller and integration tests.


%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# kill the bundler
sed -i '/^Bundler/d' test/dummy/config/application.rb


%build
gem build %{gem_name}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%check
pushd .%{gem_instdir}
ruby -Ilib:test -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd


%files
%license %{gem_instdir}/LICENSE
%dir %{gem_instdir}/
%{gem_libdir}/
%{gem_spec}
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}/
%doc %{gem_instdir}/README.md
%{gem_instdir}/test/
%{gem_instdir}/Rakefile


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 19 2017 František Dvořák <valtri@civ.zcu.cz> - 1.0.2-1
- Update to 1.0.2 (#1451740)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Oct 28 2016 František Dvořák <valtri@civ.zcu.cz> - 1.0.1-1
- Update to 1.0.1 (#1366430)
- Pull request #25 applied

* Mon Aug 08 2016 František Dvořák <valtri@civ.zcu.cz> - 0.1.1-2
- Pull request to include LICENSE file in the gem
- Keep the tests in -doc subpackage

* Thu Jul 28 2016 František Dvořák <valtri@civ.zcu.cz> - 0.1.1-1
- Initial package
